%define upstream_name    File-HomeDir-PathClass
%define upstream_version 1.112060

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    File::HomeDir returning Path::Class objects
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Find)
BuildRequires: perl(File::HomeDir) >= 0.930.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Path::Class)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
This module is just a wrapper around the File::HomeDir manpage methods,
transforming their return value to the Path::Class manpage objects. This
allows for easier usage of the value.

Refer to the File::HomeDir#METHODS manpage for a list of which functions
are supported.

'File::HomeDir::PathClass' supports both original the File::HomeDir manpage
interfaces.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
rm -rf %buildroot
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.112.60-2.mga3
+ Revision: 367263
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jul 25 2011 jquelin <jquelin> 1.112.60-1.mga2
+ Revision: 129096
- update to 1.112060

* Sat Jan 22 2011 jquelin <jquelin> 1.101.611-1.mga1
+ Revision: 31990
- mageia rebuild
- imported package perl-File-HomeDir-PathClass

